Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile
Class JavaFileSequencer

    java.lang.Object
      org.modeshape.jcr.api.sequencer.Sequencer
          org.modeshape.sequencer.javafile.JavaFileSequencer

    public class JavaFileSequencer

extends Sequencer

Sequencer which handles java source files.

Author:
  ?, Horia Chiorean

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.api.sequencer.Sequencer
`Sequencer.Context`

Constructor Summary
`JavaFileSequencer()`

Method Summary
`boolean` | `execute(Property inputProperty, Node outputNode, Sequencer.Context context)` Execute the sequencing operation on the specified property, which has recently been created or changed.
`void` | `initialize(NamespaceRegistry registry, NodeTypeManager nodeTypeManager)` Initialize the sequencer.
`void` | `setSourceFileRecorderClassName(String sourceFileRecorderClassName)` Sets the custom `SourceFileRecorder` by specifying a class name.

Methods inherited from class org.modeshape.jcr.api.sequencer.Sequencer
`getAcceptedMimeTypes, getLogger, getName, getPathExpressions, getRepositoryName, getUniqueId, hasAcceptedMimeTypes, isAccepted, registerDefaultMimeTypes, registerNamespace, registerNodeTypes, registerNodeTypes, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaFileSequencer

    public JavaFileSequencer()

Method Detail

### initialize

    public void initialize(NamespaceRegistry registry,
                           NodeTypeManager nodeTypeManager)
                    throws RepositoryException,
                           IOException

  Description copied from class: `Sequencer`
  Initialize the sequencer. This is called automatically by ModeShape once for each Sequencer instance, and should not be called by the sequencer.

  By default this method does nothing, so it should be overridden by implementations to do a one-time initialization of any internal components. For example, sequencers can use the supplied `registry` and `nodeTypeManager` objects to register custom namesapces and node types required by the generated content.

  Overrides:
    `initialize` in class `Sequencer`
  Parameters:
    `registry` - the namespace registry that can be used to register custom namespaces; never null
    `nodeTypeManager` - the node type manager that can be used to register custom node types; never null
  Throws:
    `RepositoryException` - if operations on the `NamespaceRegistry` or `NodeTypeManager` fail
    `IOException` - if any stream based operations fail (like importing cnd files)

### execute

    public boolean execute(Property inputProperty,
                           Node outputNode,
                           Sequencer.Context context)
                    throws Exception

  Description copied from class: `Sequencer`
  Execute the sequencing operation on the specified property, which has recently been created or changed.

  Each sequencer is expected to process the value of the property, extract information from the value, and write a structured representation (in the form of a node or a subgraph of nodes) using the supplied output node. Note that the output node will either be:

  1. the selected node, in which case the sequencer was configured to generate the output information directly under the selected input node; or
  2. a newly created node in a different location than node being sequenced (in this case, the primary type of the new node will be 'nt:unstructured', but the sequencer can easily change that using `Node.setPrimaryType(String)`)

  The implementation is expected to always clean up all resources that it acquired, even in the case of exceptions.

  Note: This method must be threadsafe: ModeShape will likely invoke this method concurrently in separate threads, and the method should never modify the state or fields of the Sequencer implementation class. All initialization should be performed in `Sequencer.initialize(NamespaceRegistry, NodeTypeManager)`.

  Specified by:
    `execute` in class `Sequencer`
  Parameters:
    `inputProperty` - the property that was changed and that should be used as the input; never null
    `outputNode` - the node that represents the output for the derived information; never null, and will either be `new` if the output is being placed outside of the selected node, or will not be new when the output is to be placed on the selected input node
    `context` - the context in which this sequencer is executing, and which may contain additional parameters useful when generating the output structure; never null
  Returns:
    true if the sequencer's output should be saved, or false otherwise
  Throws:
    `Exception` - if there was a problem with the sequencer that could not be handled. All exceptions will be logged automatically as errors by ModeShape.

### setSourceFileRecorderClassName

    public void setSourceFileRecorderClassName(String sourceFileRecorderClassName)
                                        throws ClassNotFoundException,
                                               IllegalAccessException,
                                               InstantiationException

  Sets the custom `SourceFileRecorder` by specifying a class name. This method attempts to instantiate an instance of the custom `SourceFileRecorder` class prior to ensure that the new value represents a valid implementation.

  Parameters:
    `sourceFileRecorderClassName` - the fully-qualified class name of the new custom class file recorder implementation; null indicates that `the class file recorder` should be used.
  Throws:
    `ClassNotFoundException` - if the the class for the `SourceFileRecorder` implementation cannot be located
    `IllegalAccessException` - if the row factory class or its nullary constructor is not accessible.
    `InstantiationException` - if the row factory represents an abstract class, an interface, an array class, a primitive type, or void; or if the class has no nullary constructor; or if the instantiation fails for some other reason.
    `ClassCastException` - if the instantiated class file recorder does not implement the `SourceFileRecorder` interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.